package com.ss.android.ugc.aweme.property;

import X.C0203I7u;
import X.C0205I7w;
import X.C0559ILm;
import X.C0561ILo;
import X.Cwu;
import X.M12;
import X.NtX;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.services.IVEABService;
import java.util.Map;

public final class VEABServiceImpl implements IVEABService {
    static {
        Covode.recordClassIndex(100843);
    }

    public final Map<String, C0561ILo> getVESDKABPropertyMap() {
        return NtX.LJJIIZI.LIZIZ();
    }

    public final void clearPanel() {
        NtX.LJJIIZI.LIZ().LIZ();
    }

    public final Cwu<Object, Integer> getABValue(C0561ILo iLo) {
        M12.LIZ(iLo);
        return NtX.LJJIIZI.LIZ(iLo);
    }

    public final void setABPanelValue(C0561ILo iLo, String str) {
        M12.LIZ(iLo);
        C0559ILm iLm = NtX.LJJIIZI;
        M12.LIZ(iLo);
        if (str == null) {
            iLm.LIZ().LJI(iLo);
            return;
        }
        C0205I7w LIZIZ = iLo.LIZIZ();
        if (LIZIZ != null) {
            int i = C0203I7u.LIZIZ[LIZIZ.ordinal()];
            if (i == 1) {
                try {
                    iLm.LIZ().LIZ(iLo, Boolean.parseBoolean(str));
                } catch (Exception unused) {
                }
            } else if (i == 2) {
                iLm.LIZ().LIZ(iLo, Integer.parseInt(str));
            } else if (i == 3) {
                iLm.LIZ().LIZ(iLo, Long.parseLong(str));
            } else if (i == 4) {
                iLm.LIZ().LIZ(iLo, Float.parseFloat(str));
            } else if (i == 5) {
                iLm.LIZ().LIZ(iLo, str);
            }
        }
    }
}
